Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] OpenFOAM fail to run under openmpi-1.3.3 on 2x Ubuntu 9.10 x64 Server
From: Ralph Castain (rhc_at_[hidden])
Date: 2009-12-15 14:05:20


Your path on a remote node is wrong and so OMPI cannot find the required OMPI executable ("orted") to launch your job.

Check your path to ensure that it is getting setup correctly on your remote nodes - every node needs to see you OMPI installed binaries and libraries.

On Dec 15, 2009, at 10:46 AM, Dmitry Zaletnev wrote:

> Hi,
> I've got the message:
> bash: orted: command not found
> A daemon (pid 1550) died unexpectedly with status 127 while attempting to launch so we are aborting
> when I tried to run OpenFOAM in parallel on 2x Ubuntu 9.10 x64 Server nodes the same way as it runs OK on 2x OpenSUSE 11.1 x64 nodes.
> Another time I tried to run it from OpenSUSE 11.1 x64 node on that node and Ubuntu 9.10 x64 Desktop node resulting in the same error message.
> OpenFOAM runs OK on 4 cores at one Ubuntu 9.10 x64 Server in parallel under openmpi-1.3.3.
> What's wrong?
> --
> Dmitry
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users